@import url('https://fonts.googleapis.com/css2?family=Alex+Brush&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
    list-style: none;
    text-decoration: none;
    outline: none;
    border: none;
    transition: all .25s linear;
}

::before,
::after {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

:root {
    --color-1: #222F64;
    --color-2: #BF0B30;
    --gris: #e4e4e4;
    --plomo: #575757;
    --blanco: #f6f6f6;
    --negro: #0b0b0b;
    --font-title: 2.5rem;
    --font: 1.1rem;
    --shadow: 0 1px 5px rgba(0, 0, 0, 0.2);

    @media (width<768px) {
        --font-title: 1.9rem;
    }
}

html {
    scroll-behavior: smooth;
}

body {
    background: var(--blanco);
    color: var(--negro);
}

section,
footer {
    width: 100%;
    padding: 6.5rem 9% 1rem;

    @media (width<1024px) {
        padding: 6.5rem 1rem 1rem;
    }
}

.btn {
    display: inline-block;
    font-size: var(--font);
    color: var(--blanco);
    padding: 12px 40px;
    background-color: var(--color-1);
    font-weight: 500;
    cursor: pointer;
}

.btn:hover {
    background-color: var(--color-2);
}


/* ==================== HEADER ==================== */
header {
    position: fixed;
    top: 0;
    left: 0;
    height: 6rem;
    width: 100%;
    z-index: 1000;
    padding: 0 9%;
}

header.scroll {
    background: var(--blanco);
    box-shadow: var(--shadow);
}

.nav {
    position: relative;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.nav__logo img {
    width: 100%;
    height: auto;
}

.nav__list {
    display: flex;
    gap: 2rem;
}

.nav__list a {
    color: var(--negro);
    font-size: var(--font);
}

.nav__list a:hover,
.nav__list .active {
    color: var(--color-2);
}

.nav__btns {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.nav__btns .btn {
    @media (width<768px) {
        display: none;

    }
}

#menu-icon {
    background: var(--color-1);
    padding: .35rem;
    font-size: 2rem;
    color: var(--blanco);
    z-index: 10001;
    cursor: pointer;
    display: none;
}

#menu-icon:hover {
    background: var(--color-2);
}

@media screen and (max-width:1220px) {
    header {
        padding: 0 1rem;
    }
}

@media screen and (max-width:1040px) {
    #menu-icon {
        display: initial;
    }

    .nav__list {
        position: absolute;
        top: 100%;
        right: -100%;
        width: 20rem;
        background: var(--color-1);
        display: flex;
        flex-direction: column;
        border-radius: 0.6rem;
        padding: 1rem;
        gap: .5rem;
    }

    .nav__list .active {
        color: var(--blanco);
    }

    .nav__list a {
        display: block;
        padding: .5rem;
        color: var(--blanco);
    }

    .nav__list a:hover {
        color: var(--blanco);
        background: hsla(0, 0%, 96%, 0.2);
    }

    .nav__list.open {
        right: 0%;
    }

    #menu-icon.bx-x {
        transform: rotate(-90deg);
    }
}

/* ==================== HERO ==================== */
.home {
    background: var(--blanco);
    position: relative;
    overflow: hidden;
    padding-bottom: 0;
}

.home::after {
    position: absolute;
    content: "";
    width: 30%;
    height: 100%;
    right: 0;
    top: 0;
    background-image: url("./images/banner-right-img.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center right;
    z-index: 0;

    @media (width<1024px) {
        display: none;
    }
}

.home__container {
    padding-top: 1rem;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    position: relative;
    z-index: 1;
}

.home__data {
    position: relative;
    flex: 1 1 25rem;
    overflow: visible;

    @media (width<768px) {
        text-align: center;
    }
}

.home__data::after {
    position: absolute;
    content: "";
    top: 0;
    right: 0;
    width: 12rem;
    height: 6rem;
    background-image: url("./images/banner-arrow-img.png");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    z-index: 0;

    @media (width<1024px) {
        display: none;
    }
}

.home__data span {
    color: var(--color-2);
    font-family: "Alex Brush", cursive;
    font-size: 4rem;
    font-weight: bold;

    @media (width<1024px) {
        text-align: center;
        font-size: 2.5rem;
    }
}

.home__title {
    font-size: 4.5rem;
    line-height: 6rem;
    font-weight: 800;
    color: var(--white-clor);
    text-transform: uppercase;

    @media (width<1024px) {
        text-align: center;
        font-size: 2.5rem;
        line-height: initial;
        line-height: 3.2rem;
    }
}

.home__description {
    font-size: 1.5rem;
    color: var(--white-clor);
    margin-bottom: 3rem;
    margin-top: 1rem;

    @media (width<1024px) {
        font-size: 1.3rem;
    }
}

.home__btns .btn {
    padding: 2rem 3rem;
    cursor: pointer;

    @media (width<1024px) {
        margin: 0 auto;
        margin-bottom: 1.5rem;
        padding: 1rem 3rem;
    }
}

.home__img {
    flex: 1 1 25rem;
}

.home__img img {
    width: 110%;
    display: block;

    @media (width<1024px) {
        width: 100%;

    }
}


.home__btns {
    display: flex;
    gap: 1rem;

    @media (width<450px) {
        flex-direction: column;
        align-items: center;
    }
}


/* ====================  MISSION & VISION ==================== */

.mission__span {
    color: var(--color-2);
    text-align: center;
    font-size: var(--font);
    margin-bottom: 2rem;
    position: relative;
}

.mission__span::after {
    content: "";
    position: absolute;
    top: 2rem;
    left: 50%;
    background: var(--color-2);
    width: 5rem;
    height: .3rem;
    transform: translate(-50%, 0%);
}

.mission__title {
    font-size: var(--font-title);
    font-weight: 800;
    text-align: center;
    margin-bottom: 2rem;
}

.mission__container {
    padding-left: 10rem;
    padding-right: 10rem;

    @media (width<1024px) {
        padding-left: 0;
        padding-right: 0;
    }
}

.mission__cards {
    display: flex;
    gap: 1rem;
    margin-bottom: 4rem;

    @media (width<1024px) {
        flex-direction: column;
    }
}

.card {
    flex: 1;
    /* width: 300px; */
    border: 1px solid var(--gris);
    padding: 3rem 2rem;
    text-align: center;
    display: flex;
    flex-direction: column;

    &:hover {
        border: 1px solid var(--color-2);

    }
}

.card img {
    width: 7rem;
    margin: 0 auto;
    margin-bottom: 2rem;
}

.card h3 {
    font-size: 1.3rem;
    font-weight: 800;
    margin-bottom: 1rem;
}

.card p {
    font-size: var(--font);
    color: var(--plomo);
    margin-bottom: 2rem;
    line-height: 1.5;
}

.card button {
    background: var(--gris);
    padding: 1rem 3rem;
    width: 100%;
    font-size: var(--font);
    cursor: pointer;
    margin-top: auto;
}

.card button:hover {
    background: var(--color-2);
    color: var(--blanco);
}

/* slogan  */
.banner {
    position: relative;
    display: grid;
    gap: 5rem;
    grid-template-columns: 3fr 1fr 1fr;
    align-items: center;
    padding: 20px 40px;
    color: #fff;
    background: linear-gradient(90deg, #1e2a78, #a0103a);
    margin-top: 8rem;

    @media (width<1024px) {
        position: relative;
        margin-top: 1rem;
    }
}

.text {
    font-weight: 700;
    font-size: clamp(1.2rem, 2.5vw, 1.9rem);
}

.photo {
    position: absolute;
    right: 0;
    bottom: 0;

    @media (width<1024px) {
        position: relative;
        max-height: 10rem;

    }
}


.cta {
    background: var(--blanco);
    color: #000;
    padding: 1rem 2.5rem;
    cursor: pointer;
    font-size: var(--font);
    display: flex;
    align-items: center;
    gap: 0.5rem;
    white-space: nowrap;

    &:hover {
        background-color: var(--color-1);
        color: var(--blanco);
    }
}


@media(max-width: 1024px) {
    .text {
        font-size: 1.4rem;
    }

    .banner {
        grid-template-columns: 1fr;
        text-align: center;
        gap: 1rem;
    }

    .photo {
        justify-self: center;
    }

    .cta {
        justify-self: center;
    }
}


/* ====================  ABOUT ==================== */
.about {
    background-color: var(--gris);
}

.about__container,
.about__cards {
    padding-left: 10rem;
    padding-right: 10rem;

    @media (width<1024px) {
        padding-left: 0;
        padding-right: 0;
    }
}

.about__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;

    @media (width<1024px) {
        grid-template-columns: 1fr;
    }
}

.about__span {
    color: var(--color-2);
    font-size: var(--font);
    margin-bottom: 2rem;
    position: relative;

    @media (width<1024px) {
        text-align: center;
    }
}

.about__span::after {
    content: "";
    position: absolute;
    top: 2rem;
    left: 0;
    background: var(--color-2);
    width: 5rem;
    height: .3rem;

    @media (width<1024px) {
        left: 50%;
        transform: translate(-50%, 0%);

    }
}

.about__title {
    font-size: var(--font-title);
    font-weight: 800;
    margin-bottom: 2rem;

    @media (width<1024px) {
        text-align: center;
    }
}

.about__text {
    font-size: var(--font);
    margin-bottom: 1rem;
    color: var(--plomo);

    @media (width<1024px) {
        text-align: center;
    }
}

.about__name {
    font-size: 1.3rem;
    margin-top: 1.5rem;
    margin-bottom: 2rem;
    font-weight: 800;
    color: var(--color-2);

    span {
        color: var(--negro);
    }

    @media (width<1024px) {
        text-align: center;
    }
}

@media (width<1024px) {
    .about__btn {
        margin: 0 auto;
        display: flex;
        justify-content: center;
    }
}

/* imagen */
.about__img {
    display: flex;
    justify-content: end;
    align-items: center;

    @media (width<1024px) {
        justify-content: center;

        img {
            width: 15rem;
        }
    }
}

.signature {
    transform: translate(1rem, 1rem);

    @media (width<1024px) {
        display: none;
    }
}


/* cards  */

.about__cards {
    margin-top: 5%;
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(4, 1fr);

    @media (width<1024px) {
        grid-template-columns: repeat(2, 1fr);
    }
}


.about__cards .counter {
    background: var(--blanco);
    padding: 2rem 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    h4 {
        font-size: 1.2rem;
        font-weight: 800;
        padding-top: 1rem;
        padding-bottom: .8rem;
        text-align: center;
    }

    p {
        color: var(--plomo);
        font-size: var(--font);
    }
}

/* ==================== CONTACT ==================== */

.contact__span {
    position: relative;
    color: var(--color-2);
    text-align: center;
    display: block;
    font-size: var(--font);
    margin-bottom: 2rem;
}

.contact__span::after {
    content: "";
    position: absolute;
    top: 2rem;
    left: 50%;
    background: var(--color-2);
    width: 5rem;
    height: .3rem;
    transform: translate(-50%, 0%);
}

.contact__title {
    font-size: var(--font-title);
    font-weight: 800;
    text-align: center;
    margin-bottom: 2rem;
}

.contact__container {
    padding-left: 10rem;
    padding-right: 10rem;

    @media (width<1024px) {
        padding-left: 0;
        padding-right: 0;
    }
}

.contact__container {
    display: flex;
    align-items: center;
    justify-content: center;

}

/* formulario  ================= */
.form-container {
    background: #fff;
    padding: 2rem;
    /* max-width: 800px; */
    width: 100%;
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.1);
    font-size: var(--font);
}

form {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

label {
    display: block;
    margin-bottom: 6px;
    font-weight: bold;
}

input,
select,
textarea {
    width: 100%;
    padding: 0.9rem;
    border: 1px solid transparent;
    background: #e9e9e9;
    font-size: 14px;
}

input:focus,
select:focus,
textarea:focus {
    outline: none;
    border-color: var(--color-2);

}

.message__text {
    grid-row: span 2;

}

textarea {
    resize: none;
    min-height: 150px;
}

.full-width {
    grid-column: span 2;
    text-align: center;
}

.btn__form {
    background: var(--color-2);
    color: var(--blanco);
    border: none;
    padding: 16px 32px;
    font-size: 16px;
    cursor: pointer;
    border-radius: 2px;
    width: 100%;
    font-weight: bold;
    text-transform: uppercase;
    margin-top: 1.5rem;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: .5rem;
}

.btn__form:hover {
    background: var(--color-1);
}



/* Responsivo */
@media (max-width: 768px) {
    form {
        grid-template-columns: 1fr;
    }

    .full-width {
        grid-column: span 1;
    }
}

/* ==================== DONATION ==================== */

.donation {
    background: var(--gris);
}

.donation__container {
    padding-left: 10rem;
    padding-right: 10rem;

    @media (width<1024px) {
        padding-left: 0;
        padding-right: 0;
    }
}

.donation__conten {
    padding: 5rem 1rem;
    background: linear-gradient(90deg, hsla(348, 89%, 40%, 0.9), hsla(228, 49%, 26%, 0.9)), url("./images/dollar-bg-img.jpg");
    text-align: center;
    color: var(--blanco);
}

.donation__span {
    color: var(--blanco);
    text-align: center;
    font-size: var(--font);
    margin-bottom: 2rem;
    position: relative;
}

.donation__span::after {
    content: "";
    position: absolute;
    top: 2rem;
    left: 50%;
    background: var(--blanco);
    width: 5rem;
    height: .3rem;
    transform: translate(-50%, 0%);
}

.donation__title {
    font-size: var(--font-title);
    margin-bottom: 2rem;
}



.donation__btn {
    display: inline-block;
    font-size: var(--font);
    color: var(--negro);
    padding: 12px 40px;
    background-color: var(--blanco);
    font-weight: 500;
    cursor: pointer;
}

.donation__btn:hover {
    background-color: var(--color-2);
    color: var(--blanco);
}


/* ==================== FOOTER ==================== */
footer {
    padding-top: 2rem;
}

.footer__container {
    font-size: var(--font);
    text-align: center;

    span {
        color: var(--color-2);
    }
}

/* ==================== SCROLLUP ==================== */
.scrollup {
    background: var(--color-2);
    position: fixed;
    width: 4rem;
    height: 4rem;
    bottom: 5rem;
    right: 5rem;
    z-index: 100;
    cursor: pointer;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: visible;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-100px);
    transition: all 0.3s ease;

    a {
        color: var(--blanco);
        font-size: var(--font);
        z-index: 3;
        position: relative;
    }

    &::before,
    &::after {
        content: '';
        position: absolute;
        top: 50%;
        left: 50%;
        width: 100%;
        height: 100%;
        background: var(--color-2);
        border-radius: 50%;
        transform: translate(-50%, -50%) scale(1);
        opacity: 0.6;
        z-index: 1;
    }

    &::after {
        animation: smoothPulse1 2s infinite 0.5s;
    }

    &.show {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }
}

@keyframes smoothPulse1 {
    0% {
        transform: translate(-50%, -50%) scale(1);
        opacity: 0.6;
    }

    100% {
        transform: translate(-50%, -50%) scale(1.8);
        opacity: 0;
    }
}